Bug 18600 - Missing db update for TalkingTechItivaPhoneNotification
Summary: Missing db update for TalkingTechItivaPhoneNotification
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 18444
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-14 12:23 UTC by Katrin Fischer
Modified: 2017-07-31 11:05 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18600: Add pref TalkingTechItivaPhoneNotification if missing (891 bytes, patch)
2017-05-23 19:17 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18600: Add pref TalkingTechItivaPhoneNotification if missing (954 bytes, patch)
2017-05-24 05:50 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18600: Add pref TalkingTechItivaPhoneNotification if missing (1.01 KB, patch)
2017-05-26 05:59 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-05-14 12:23:29 UTC
Adding TalkingTechItivaPhoneNotification to sysprefs.sql is causing a test to fail on Jenkins:

https://jenkins.koha-community.org/job/Koha_16.11.x_D8/lastBuild/testReport/junit/(root)/t_db_dependent_check_sysprefs_t/Syspref_TalkingTechItivaPhoneNotification_exists_in_the_database__356_/

I think we are missing a database update statement, checking for the existence of the system preference in the database and adding it, when it's not already there yet.
Comment 1 Jonathan Druart 2017-05-23 19:12:55 UTC
TalkingTechItivaPhoneNotification has been added by 3.05.00.022, but in sysprefs.sql with bug 18444.
It may be missing for some installations.
Comment 2 Jonathan Druart 2017-05-23 19:17:07 UTC
Created attachment 63671 [details] [review]
Bug 18600: Add pref TalkingTechItivaPhoneNotification if missing
Comment 3 Katrin Fischer 2017-05-24 05:50:45 UTC
Created attachment 63680 [details] [review]
[SIGNED-OFF] Bug 18600: Add pref TalkingTechItivaPhoneNotification if missing

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2017-05-24 05:51:01 UTC
Thx Jonathan!
Comment 5 Marcel de Rooy 2017-05-26 05:59:52 UTC
Created attachment 63725 [details] [review]
Bug 18600: Add pref TalkingTechItivaPhoneNotification if missing

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Kyle M Hall 2017-05-29 02:22:30 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 7 Katrin Fischer 2017-06-05 12:39:39 UTC
Will make Jenkins happier :)

This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 8 Mason James 2017-07-31 11:05:07 UTC
Pushed to 16.05.x, for 16.05.15 release